Foreman - Bug #32490

Ansible callback doesn't run because the file is not executable
05/02/2021 09:32 PM - Aldrey Galindo

Status: Closed
Priority: Normal
Assignee: Aldrey Galindo
Category: Templates
Target version: 252
Difficulty: easy Fixed in Releases: 2.5.2,3.0.0
Triaged: No Found in Releases:
Bugzilla link: 1956124 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8487,
https://github.com/theforeman/foreman/p
ull/8630,
https://github.com/theforeman/foreman/p
ull/8648
Description

Description of problem:
Ansible callback doesn't run because the file is not executable

Version-Release number of selected component (if applicable):
Satellite 6.8

How reproducible:
Create a virtual machine via image based

Steps to Reproduce:

1. Create a new virtual machine

2. Select the Image Based

3. Check the file created '/root/ansible_provisioning_call.sh' with permission 0644 (should be 755)

Actual results:
The file created has permission 644 and the tower callback will not start (doesn't run).

Expected results:
The file '/root/ansible_provisioning_call.sh' should be executable and tower callback works.

Associated revisions

Revision d334af4e - 07/04/2021 12:19 PM - Ondrej Ezr
Fixes #32490 - proper permission for ansible (#8630)

The file “/root/ansible_provisioning_call.sh™ needs to be runnable.

Co-authored-by: Aldrey Galindo <aldreygalindo@gmail.com>

History

#1 - 05/02/2021 09:33 PM - Aldrey Galindo
- Category set to Templates

- Assignee set to Aldrey Galindo

- Difficulty set to easy

#2 - 05/02/2021 09:46 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8487 added

05/22/2024 1/2



mailto:aldreygalindo@gmail.com

#3 - 06/29/2021 10:22 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8630 added

#4 - 07/04/2021 12:17 PM - Tomer Brisker

- Target version set to 2.5.2

#5 - 07/04/2021 12:19 PM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#6 - 07/04/2021 01:08 PM - Ondrej Ezr
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|d334af4e3c1b6eaaa53f8e978f7c1034cbb509ff.

#7 - 07/07/2021 02:12 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8648 added

#8 - 07/08/2021 07:50 AM - Tomer Brisker
- Fixed in Releases 2.5.2 added
